From 2476aa90611070545a534c9adae851005c0ef893 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 27 2017 16:25:38 +0000
Subject: [PATCH 894/1001] Compatibility with Python < 3.5


---

diff --git a/hubs/widgets/fedmsgstats/__init__.py b/hubs/widgets/fedmsgstats/__init__.py
index 3e5ab7c..fe86e40 100644
--- a/hubs/widgets/fedmsgstats/__init__.py
+++ b/hubs/widgets/fedmsgstats/__init__.py
@@ -1,7 +1,5 @@
 from __future__ import unicode_literals
 
-import json
-
 import flask
 import fedmsg.config
 import fedmsg.meta
@@ -60,7 +58,7 @@ class GetStats(CachedFunction):
         try:
             response = requests.get(url, timeout=5)
             fedmsgs = response.json()['total']
-        except (requests.exceptions.Timeout, json.decoder.JSONDecodeError):
+        except (requests.exceptions.Timeout, ValueError):
             fedmsgs = None
             fedmsgs_text = "?"
         else:

